var app;
(function (app) {
    var reports;
    (function (reports_1) {
        var reportsService;
        (function (reportsService) {
            var ReportsService = (function () {
                function ReportsService(http, utilities, globalsService) {
                    var _this = this;
                    this.http = http;
                    this.globalsService = globalsService;
                    var getReportsFunction = function (callback) {
                        _this.http.get("/report/reports", function (result) {
                            if (result.Success) {
                                callback(result.Result);
                            }
                        }, true);
                    };
                    this.getReports = getReportsFunction;
                    var getReportFunction = function (id, callback) {
                        _this.http.get("/report/report", function (result) {
                            if (result.Success) {
                                callback(result.Result);
                            }
                        }, true, { reportId: id });
                    };
                    this.getReport = getReportFunction;
                    var createRequestFunction = function (request, callback) {
                        _this.http.post("/report/createrequest", request, function (result) {
                            callback(result.Result);
                        }, true);
                    };
                    this.createRequest = createRequestFunction;
                }
                return ReportsService;
            })();
            angular.module("app.reports.reportsService", ["app.core.services.utilities", "app.core.services.http", "app.globalsModule"])
                .factory("app.reports.reportsService", ["http", "utilities", "globalsService",
                function (http, utilities, globalsService) {
                    return new ReportsService(http, utilities, globalsService);
                }]);
        })(reportsService = reports_1.reportsService || (reports_1.reportsService = {}));
    })(reports = app.reports || (app.reports = {}));
})(app || (app = {}));
//# sourceMappingURL=reportsService.js.map