var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    __.prototype = b.prototype;
    d.prototype = new __();
};
var app;
(function (app) {
    var contacts;
    (function (contacts) {
        var ContactsTypesEditController = (function (_super) {
            __extends(ContactsTypesEditController, _super);
            function ContactsTypesEditController(contactsTypeService, utilities, $routeParams, $location) {
                var _this = this;
                _super.call(this);
                this.contactsTypeService = contactsTypeService;
                this.utilities = utilities;
                this.$routeParams = $routeParams;
                this.$location = $location;
                this.save = function () {
                    _this.contactsTypeService.saveContactType(_this.model, function (result) {
                        _this.model = result;
                        _this.$location.path("/contacttypes");
                    });
                };
                this.cancel = function () {
                    _this.$location.path("/contacttypes");
                };
                var self = this;
                var id = $routeParams.id;
                if (id === "add") {
                    self.model = {
                        ContactTypeId: 0,
                        Name: ""
                    };
                }
                else {
                    contactsTypeService.getContactType(id, function (result) {
                        self.model = result;
                    });
                }
            }
            return ContactsTypesEditController;
        })(app.core.controllers.CoreController);
        angular.module("app.contacts.contactsTypesEditController", ["app.core.services.utilities", "app.contactTypes.services"])
            .controller("app.contacts.contactsTypesEditController", ["contactsTypeService", "utilities", "$routeParams", "$location", ContactsTypesEditController]);
    })(contacts = app.contacts || (app.contacts = {}));
})(app || (app = {}));
//# sourceMappingURL=contactsTypesEditController.js.map