var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    __.prototype = b.prototype;
    d.prototype = new __();
};
var app;
(function (app) {
    var contacts;
    (function (contacts) {
        var ContactsEditController = (function (_super) {
            __extends(ContactsEditController, _super);
            function ContactsEditController(utilities, $routeParams, $location, contactsService, contactsTypeService) {
                var _this = this;
                _super.call(this);
                this.utilities = utilities;
                this.$location = $location;
                this.contactsService = contactsService;
                this.save = function () {
                    // ReSharper disable UnusedParameter
                    _this.contactsService.saveContact(_this.model, function (result) {
                        _this.$location.path("/contacts");
                    });
                    // ReSharper restore UnusedParameter
                };
                this.cancel = function () {
                    _this.$location.path("/contacts");
                };
                var self = this;
                var id = $routeParams.id;
                if (id === "add") {
                    contactsTypeService.getContactTypes(function (typesResult) {
                        self.contactTypes = typesResult;
                        if (typesResult) {
                            self.model = {
                                ContactId: 0,
                                ContactTypeId: 0,
                                FirstName: "",
                                LastName: "",
                                IsActive: true
                            };
                        }
                    });
                }
                else {
                    contactsTypeService.getContactTypes(function (typesResult) {
                        self.contactTypes = typesResult;
                        if (typesResult) {
                            contactsService.getContact(id, function (result) {
                                self.model = result;
                            });
                        }
                    });
                }
            }
            return ContactsEditController;
        })(app.core.controllers.CoreController);
        angular.module("app.contacts.contactsEditController", ["app.core.services.utilities", "app.contacts.services", "ngRoute", "app.contactTypes.services"])
            .controller("app.contacts.contactsEditController", ["utilities", "$routeParams", "$location", "contactsService", "contactsTypeService", ContactsEditController]);
    })(contacts = app.contacts || (app.contacts = {}));
})(app || (app = {}));
//# sourceMappingURL=contactsEditController.js.map